<div class="container screen-pt-50">
   
    <div class="row">
       <div class="col-md-12 sign-12">
          <div class="sign-in-body" >

             <form class="sign-form2" [formGroup]="registerform" (ngSubmit)="register()">
               
                <h4><b>Détaillez votre probléme le plus précisément
                    possible, et nous tacherons d'y répondre
                    efficacement.</b></h4><br>
 
                
                <div class="mb-3 ">
                   <label  class="form-label">Objet de la demande</label>
                   <input type="text" class="form-control"  placeholder="" 
                      formControlName="request_purpose">
                  
                </div>
                <div class="errormsg"
                   *ngIf="registerform.get('request_purpose')?.touched && registerform.get('request_purpose')?.hasError('required')">
                   <h4> <b>L'objet de la demande est requis</b></h4>
 
                </div>

                <div class="mb-3 ">
                    <label  class="form-label">Raison</label>
                    <input type="text" class="form-control"
                       formControlName="reason">
                   
                 </div>
                 <div class="errormsg"
                    *ngIf="registerform.get('reason')?.touched && registerform.get('reason')?.hasError('required')">
                    <h4> <b>Le motif est obligatoire</b></h4>
  
                 </div>

                 <div class="mb-3 ">
                    <label for="email" class="form-label">Votre message</label>
                    <textarea name="" id="" cols="30" rows="10" class="form-control"   formControlName="message"></textarea>
                   
                 </div>
                 <div class="errormsg"
                 *ngIf="registerform.get('message')?.touched && registerform.get('message')?.hasError('required')">
                 <h4> <b>Votre message est obligatoire</b></h4>

              </div>

                 <div class="mb-3 ">
                    <label for="email" class="form-label">Ajouter des pièces jointes (facultatif)</label>
                    <div class="fo-rm">
                        <input class="fom-up" type="file" (change)="onFileUpdate($event)">
                        <p class="fomp"><span class="w-100 d-block">Ajouter une image</span>
                            <!-- <img class="mw-100" src="./assets/build/img/upload.png"> -->
                            <i class="fa fa-upload"></i>
                        </p>
   
                    </div>
                    <div class="fo-rm showimage" *ngIf="image">
                        <img src="{{image}}" alt="" class="image-show" width="146x" height="96px">
                    </div>
                   
                 </div>
                <button type="submit" class="btn btn-signs"><b>Continuer</b></button><br><br>
                <div class="comeBack_up" *ngIf="fulldata">
                   <div *ngIf="fulldata.status == false; else loggedOut">
                      <div class="alert alert-danger"><strong>{{ fulldata.errmessage }}</strong></div>
                   </div>
                   <ng-template #loggedOut>
                      <div class="alert alert-success"><strong>{{ fulldata.message }}</strong></div>
                   </ng-template>
                </div><br>
                
             </form>
          </div>
       </div>
    </div>
 </div>
 
 <br><br>
